.mc-component-library .mc-layout {
  min-width: 320px;
  display: flex;
  flex-direction: column;
  height: 100vh;
}
.mc-component-library .mc-layout > .header {
  color: white;
}
.mc-component-library .mc-layout > .sub-header {
  min-height: 50px;
  position: relative;
  color: white;
  z-index: 1000;
}
.mc-component-library .mc-layout > .sub-header .v-application--wrap {
  min-height: 50px;
}
.mc-component-library .mc-layout > .sub-header .header-placeholder .v-application__wrap {
  display: flex;
  flex-direction: row;
}
.mc-component-library .mc-layout > .sub-header .header-placeholder .v-application__wrap .v-skeleton-loader {
  width: 100%;
}
.mc-component-library .mc-layout > .sub-header .header-placeholder .v-application__wrap .v-skeleton-loader:first-child {
  background-color: #eff1f4;
  width: 52px;
  border-radius: 0;
}
.mc-component-library .mc-layout > .sub-header .header-placeholder .v-application__wrap .v-skeleton-loader:first-child .v-skeleton-loader__button {
  margin: 12px 9px;
  height: 33px;
  width: 32px;
}
.mc-component-library .mc-layout > .sub-header .header-placeholder .v-application__wrap .v-skeleton-loader .v-skeleton-loader__button {
  max-width: 100%;
  height: 25px;
  margin: 14px;
}
.mc-component-library .mc-layout > .sub-header .header-container > .v-application > .v-application__wrap {
  min-height: auto;
}
.mc-component-library .mc-layout > .marketplace-container.progress {
  overflow: visible;
}
.mc-component-library .mc-layout > .container {
  display: flex;
  position: relative;
  flex: 1;
  min-height: 0;
  overflow: hidden;
}
.mc-component-library .mc-layout > .container > .navigation {
  width: 52px;
  z-index: 20;
  overflow-y: visible;
  display: flex;
  position: absolute;
  height: 100%;
  background-color: rgb(var(--v-theme-navigation));
}
.mc-component-library .mc-layout > .container > .navigation .sidebar-container {
  height: 100%;
}
.mc-component-library .mc-layout > .container > .navigation .sidebar-container > .v-application {
  overflow: visible;
  background-color: rgb(var(--v-theme-navigation));
}
.mc-component-library .mc-layout > .container > .navigation .sidebar-container > .v-application .v-skeleton-loader {
  background-color: #EEF1F4 !important;
}
.mc-component-library .mc-layout > .container > .navigation .sidebar {
  display: flex;
  height: 100%;
  overflow: auto;
  margin-bottom: 100px;
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* Internet Explorer/Edge */
}
.mc-component-library .mc-layout > .container > .navigation .sidebar::-webkit-scrollbar {
  display: none; /* Chrome, Safari */
}
.mc-component-library .mc-layout > .container > .navigation .sidebar .mc-navigation-bar {
  width: 50px;
}
.mc-component-library .mc-layout > .container > .navigation .v-application {
  height: 100%;
}
.mc-component-library .mc-layout > .container > .navigation .v-toolbar__content {
  display: flex;
}
.mc-component-library .mc-layout > .container .content-container {
  display: flex;
  flex: 1;
  position: absolute;
  left: 50px;
  right: 0;
  height: 100%;
  overflow: auto;
}
.mc-component-library .mc-layout > .container .content-container .single-spa-container, .mc-component-library .mc-layout > .container .content-container .single-spa-container > div {
  height: 100%;
}
.mc-component-library .mc-layout > .container .content-container .single-spa-container .v-application, .mc-component-library .mc-layout > .container .content-container .single-spa-container > div .v-application {
  height: 100%;
}
.mc-component-library .mc-layout > .container .content-container .microfrontend-container {
  flex: 1;
  overflow: hidden;
}
.mc-component-library .mc-layout > .container .content-container .microfrontend-container > div, .mc-component-library .mc-layout > .container .content-container .microfrontend-container .single-spa-container > div {
  height: 100%;
  overflow: hidden;
}
.mc-component-library .mc-layout > .container .content-container .microfrontend-container .single-spa-container, .mc-component-library .mc-layout > .container .content-container .microfrontend-container .v-application, .mc-component-library .mc-layout > .container .content-container .microfrontend-container .v-application__wrap {
  height: 100%;
  overflow: hidden;
}
.mc-component-library .mc-layout > .container .content-container .mc-sidebar-layout, .mc-component-library .mc-layout > .container .content-container .sr-app-container {
  overflow: hidden;
  height: 100%;
}
.mc-component-library .mc-layout > .container .content-container .mc-sidebar-layout__sidebar, .mc-component-library .mc-layout > .container .content-container .sr-app-container__sidebar {
  width: 288px;
}
.mc-component-library .mc-layout > .container .content-container .mc-sidebar-layout__content, .mc-component-library .mc-layout > .container .content-container .sr-app-container_content {
  flex: 1;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
  height: 100dvh;
}
.mc-component-library .mc-layout > .footer {
  z-index: 10;
  position: relative;
}
.mc-component-library .mc-layout > .footer .v-skeleton-loader {
  width: 100%;
  background: rgb(var(--v-theme-navigation));
  height: 38px;
}
.mc-component-library .mc-layout > .footer .v-skeleton-loader .v-skeleton-loader__button {
  max-width: 100%;
  height: 20px;
}
.mc-component-library .mc-layout > .footer .footer-container > .v-application > .v-application__wrap {
  min-height: auto;
}
.mc-component-library #microfrontend-navigation-container-footer .footer-container > .v-application {
  overflow: visible;
}
.mc-component-library #marketplace > .navigation .v-application {
  background: #EEF1F4;
}
.mc-component-library #microfrontend-notifications-container .v-alert {
  margin-bottom: 0 !important;
}
.mc-component-library #access-denied-container {
  width: 100%;
}
.mc-component-library #microfrontend-application-container .sr-app-container {
  height: 100%;
}
.mc-component-library #marketplace > .content-container .sr-app-container {
  height: 100%;
}
.mc-component-library #marketplace > .content-container .v-application__wrap {
  flex-direction: row;
}
.mc-component-library #marketplace > .content-container.micro-frontend-skeleton-loader .v-skeleton-loader {
  width: 100%;
  height: 100%;
  align-items: center;
}
.mc-component-library #marketplace > .content-container.micro-frontend-skeleton-loader .v-skeleton-loader:nth-child(1) {
  width: auto;
}
.mc-component-library #marketplace > .content-container.micro-frontend-skeleton-loader .v-skeleton-loader:nth-child(1) .v-skeleton-loader__button {
  width: 255px;
}
.mc-component-library #marketplace > .content-container.micro-frontend-skeleton-loader .v-skeleton-loader .v-skeleton-loader__button {
  background: rgba(var(--v-theme-on-surface), var(--v-border-opacity));
  max-width: 100%;
  height: calc(100% - 32px);
  margin: 0 16px;
}
.mc-component-library .marketplace-notifications .v-application > .v-application--wrap, .mc-component-library .marketplace-notifications .v-application > .v-application__wrap {
  min-height: 0 !important;
}
@media screen and (max-width: 1050px) {
.mc-component-library .container > .navigation .sidebar .mc-navigation-bar .mc-list {
    padding-bottom: 0 !important;
}
.mc-component-library .container > .navigation .sidebar {
    margin-bottom: 0 !important;
}
.mc-component-library .navigation-mf .sidebar-container > .v-application .mc-menu-collapse {
    padding-bottom: 170px !important;
}
}